Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/24/2019 in all areas

  1. I have no problem with them. They seem fine here. This is using Export This is DWG to PDF Export test dwg to pdf.pdf Export test dwg to pdf-Layout1.pdf
    1 point
  2. It does work, but not as you intended. If you only want to pick a single item use either : (defun c:L0 () (command "_.chprop" (ssget ":S:E:L") "" "LA" "0" "C" "BYBLOCK" "") ) or (defun c:L0 () (command "_.chprop" (car (entsel)) "" "LA" "0" "C" "BYBLOCK" "") ) If you want to select multiple items then you'll probably need to split the (ssget) outside the command (easiest solution) as it requires an enter to end the selection process. Sometimes you can't cut corners (defun c:L0 ( / ss) (setq ss (ssget)) (command "_.chprop" ss "" "LA" "0" "C" "BYBLOCK" "") )
    1 point
  3. Use NTH with your list of blocks. Something like this .. will work for multiple select too: (defun _getlistboxselection (lst sel) (mapcar '(lambda (x) (nth x lst)) (read (strcat "(" sel ")"))) ) (_getlistboxselection '("My" "Items" "In" "A" "List") "0 2 4")
    1 point
  4. Sorry, I was running it on another file, I again tested it and works well, thanks a lot.
    1 point
×
×
  • Create New...